import * as VTable_editors from '@visactor/vtable-editors';
import type VTableSheet from '../components/vtable-sheet';
import type { EditContext } from '@visactor/vtable-editors';
export declare class FormulaInputEditor extends VTable_editors.InputEditor {
    private formulaAutocomplete;
    private sheet;
    setSheet(sheet: VTableSheet): void;
    getInputElement(): HTMLInputElement;
    targetIsOnEditor(target: HTMLElement): boolean;
    createElement(): void;
    private handleFormulaInput;
    private initAutocomplete;
    private handleAutocompleteSelect;
    onStart(context: EditContext<string>): void;
    beforeEnd(): void;
    onEnd(): void;
    getValue(): string;
    validateValue(newValue?: any, oldValue?: any, position?: VTable_editors.CellAddress, table?: any, isClickOnTable?: boolean): boolean | VTable_editors.ValidateEnum;
    private getCellRangeString;
}
export declare const formulaEditor: FormulaInputEditor;
